org.apache.catalina.comet

## Enum CometEvent.EventSubType

- java.lang.Object
- - java.lang.Enum<CometEvent.EventSubType>
  - - org.apache.catalina.comet.CometEvent.EventSubType

All Implemented Interfaces:
  Serializable, Comparable<CometEvent.EventSubType>

Enclosing interface:
  CometEvent

    public static enum CometEvent.EventSubType
    extends Enum<CometEvent.EventSubType>

Event details.
TIMEOUT - the connection timed out (sub type of ERROR); note that this ERROR type is not fatal, and the connection will not be closed unless the servlet uses the close method of the event
CLIENT_DISCONNECT - the client connection was closed (sub type of ERROR)
IOEXCEPTION - an IO exception occurred, such as invalid content, for example, an invalid chunk block (sub type of ERROR)
WEBAPP_RELOAD - the webapplication is being reloaded (sub type of END)
SERVER_SHUTDOWN - the server is shutting down (sub type of END)
SESSION_END - the servlet ended the session (sub type of END)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLIENT_DISCONNECT`
`IOEXCEPTION`
`SERVER_SHUTDOWN`
`SESSION_END`
`TIMEOUT`
`WEBAPP_RELOAD`

### Method Summary

Methods
`static CometEvent.EventSubType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CometEvent.EventSubType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TIMEOUT

    public static final CometEvent.EventSubType TIMEOUT

#### CLIENT_DISCONNECT

    public static final CometEvent.EventSubType CLIENT_DISCONNECT

#### IOEXCEPTION

    public static final CometEvent.EventSubType IOEXCEPTION

#### WEBAPP_RELOAD

    public static final CometEvent.EventSubType WEBAPP_RELOAD

#### SERVER_SHUTDOWN

    public static final CometEvent.EventSubType SERVER_SHUTDOWN

#### SESSION_END

    public static final CometEvent.EventSubType SESSION_END

### Method Detail

#### values

    public static CometEvent.EventSubType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CometEvent.EventSubType c : CometEvent.EventSubType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CometEvent.EventSubType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null